Package com.sun.messaging.jms.management.server

## Class ServiceAttributes

- java.lang.Object
- - com.sun.messaging.jms.management.server.ServiceAttributes

-     public class ServiceAttributes
      extends java.lang.Object

  Class containing information on service attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MAX_THREADS` | Max threads
    `static java.lang.String` | `MIN_THREADS` | Min threads
    `static java.lang.String` | `MSG_BYTES_IN` | Msg bytes in
    `static java.lang.String` | `MSG_BYTES_OUT` | Msg bytes out
    `static java.lang.String` | `NAME` | Service Name
    `static java.lang.String` | `NUM_ACTIVE_THREADS` | Number of active threads
    `static java.lang.String` | `NUM_CONNECTIONS` | Number of connections
    `static java.lang.String` | `NUM_CONNECTIONS_OPENED` | Number of connections created
    `static java.lang.String` | `NUM_CONNECTIONS_REJECTED` | Number of connections rejected
    `static java.lang.String` | `NUM_CONSUMERS` | Number of consumers
    `static java.lang.String` | `NUM_MSGS_IN` | Number of msgs in
    `static java.lang.String` | `NUM_MSGS_OUT` | Number of msgs out
    `static java.lang.String` | `NUM_PKTS_IN` | Number of pkts in
    `static java.lang.String` | `NUM_PKTS_OUT` | Number of pkts out
    `static java.lang.String` | `NUM_PRODUCERS` | Number of producers
    `static java.lang.String` | `NUM_SERVICES` | Number of services
    `static java.lang.String` | `PKT_BYTES_IN` | Pkt bytes in
    `static java.lang.String` | `PKT_BYTES_OUT` | Pkt bytes out
    `static java.lang.String` | `PORT` | Port
    `static java.lang.String` | `STATE` | Service State
    `static java.lang.String` | `STATE_LABEL` | String representation of service state
    `static java.lang.String` | `THREAD_POOL_MODEL` | Thread pool model

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      Service Name
      See Also:
        Constant Field Values

    - #### STATE

          public static final java.lang.String STATE

      Service State
      See Also:
        Constant Field Values

    - #### STATE_LABEL

          public static final java.lang.String STATE_LABEL

      String representation of service state
      See Also:
        Constant Field Values

    - #### MAX_THREADS

          public static final java.lang.String MAX_THREADS

      Max threads
      See Also:
        Constant Field Values

    - #### MIN_THREADS

          public static final java.lang.String MIN_THREADS

      Min threads
      See Also:
        Constant Field Values

    - #### NUM_CONNECTIONS_OPENED

          public static final java.lang.String NUM_CONNECTIONS_OPENED

      Number of connections created
      See Also:
        Constant Field Values

    - #### NUM_CONNECTIONS_REJECTED

          public static final java.lang.String NUM_CONNECTIONS_REJECTED

      Number of connections rejected
      See Also:
        Constant Field Values

    - #### PORT

          public static final java.lang.String PORT

      Port
      See Also:
        Constant Field Values

    - #### MSG_BYTES_IN

          public static final java.lang.String MSG_BYTES_IN

      Msg bytes in
      See Also:
        Constant Field Values

    - #### MSG_BYTES_OUT

          public static final java.lang.String MSG_BYTES_OUT

      Msg bytes out
      See Also:
        Constant Field Values

    - #### NUM_ACTIVE_THREADS

          public static final java.lang.String NUM_ACTIVE_THREADS

      Number of active threads
      See Also:
        Constant Field Values

    - #### NUM_MSGS_IN

          public static final java.lang.String NUM_MSGS_IN

      Number of msgs in
      See Also:
        Constant Field Values

    - #### NUM_MSGS_OUT

          public static final java.lang.String NUM_MSGS_OUT

      Number of msgs out
      See Also:
        Constant Field Values

    - #### NUM_PKTS_IN

          public static final java.lang.String NUM_PKTS_IN

      Number of pkts in
      See Also:
        Constant Field Values

    - #### NUM_PKTS_OUT

          public static final java.lang.String NUM_PKTS_OUT

      Number of pkts out
      See Also:
        Constant Field Values

    - #### NUM_SERVICES

          public static final java.lang.String NUM_SERVICES

      Number of services
      See Also:
        Constant Field Values

    - #### NUM_CONNECTIONS

          public static final java.lang.String NUM_CONNECTIONS

      Number of connections
      See Also:
        Constant Field Values

    - #### NUM_CONSUMERS

          public static final java.lang.String NUM_CONSUMERS

      Number of consumers
      See Also:
        Constant Field Values

    - #### NUM_PRODUCERS

          public static final java.lang.String NUM_PRODUCERS

      Number of producers
      See Also:
        Constant Field Values

    - #### PKT_BYTES_IN

          public static final java.lang.String PKT_BYTES_IN

      Pkt bytes in
      See Also:
        Constant Field Values

    - #### PKT_BYTES_OUT

          public static final java.lang.String PKT_BYTES_OUT

      Pkt bytes out
      See Also:
        Constant Field Values

    - #### THREAD_POOL_MODEL

          public static final java.lang.String THREAD_POOL_MODEL

      Thread pool model
      See Also:
        Constant Field Values